<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@E604=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time-last enemy esc.">
    <script state="run">
      <action>maincpu.pb@E695=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time-last enemy stay">
    <script state="run">
      <action>maincpu.pb@E694=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite Item Time">
    <script state="run">
      <action>maincpu.pb@E6D1=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@E782=05</action>
    </script>
  </cheat>

  <cheat desc="See the Dip Switch Menu to enable Invincibility."/>

  <cheat desc="Coin point always x9">
    <script state="run">
      <action>maincpu.pb@E6FC=08</action>
    </script>
  </cheat>

  <cheat desc="Make treasure appearNow!">
    <script state="on">
      <action>maincpu.pb@E786=03</action>
      <action>maincpu.pb@E785=20</action>
    </script>
  </cheat>

  <cheat desc="Select Spell to Cast">
    <parameter>
      <item value="0x00">Normal Spell</item>
      <item value="0x01">Long Spell</item>
      <item value="0x02">Erase Spell</item>
      <item value="0x03">Fire Spell</item>
      <item value="0x08">Step Charm</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@E61F=param</action>
    </script>
  </cheat>

  <cheat desc="Select Current Round">
    <parameter min="1" max="101" step="1"/>
    <script state="change">
      <action>maincpu.pb@E781=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Next Round">
    <parameter min="1" max="101" step="1"/>
    <script state="change">
      <action>maincpu.pb@E781=(param-1)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
